# all

abstract fun all(action: Action<in T>)

Executes the given action against all objects in this collection, and any objects subsequently added to this collection.

This method is a terminal eager operation. It will cause the realization of all elements of this collection.

#### Parameters

action

The action to be executed

abstract fun all(action: Closure)

Executes the given closure against all objects in this collection, and any objects subsequently added to this collection. The object is passed to the closure as the closure delegate. Alternatively, it is also passed as a parameter.

This method is a terminal eager operation. It will cause the realization of all elements of this collection.

#### Parameters

action

The action to be executed